Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.excelinput
Class KettleCellValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.di.core.exception.KettleException
                  org.pentaho.di.trans.steps.excelinput.KettleCellValueException

All Implemented Interfaces:
  Serializable

    public class KettleCellValueException

extends org.pentaho.di.core.exception.KettleException

Extended `KettleValueException` that allows passing extra context info up the chain (sheet, row, and column IDs). If we were really obssessive, we'd cache both the names and indexes of all the items, including the input file. But this will do for a start.

Since:
  14-FEB-2008
Author:
  timh
See Also:
  Serialized Form

Constructor Summary
`KettleCellValueException(org.pentaho.di.core.exception.KettleException ex, int sheetnr, int rownr, int colnr, String fieldName)` Standard constructor.

Method Summary
`String` | `getMessage()`

Methods inherited from class org.pentaho.di.core.exception.KettleException
`getSuperMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KettleCellValueException

    public KettleCellValueException(org.pentaho.di.core.exception.KettleException ex,
                                    int sheetnr,
                                    int rownr,
                                    int colnr,
                                    String fieldName)

  Standard constructor.

  Note: All indexes below have a 0-origin (internal index), but are reported with a 1-origin (human index).

  Parameters:
    `ex` - The Exception to wrap.
    `sheetnr` - Sheet number
    `rownr` - Row number
    `colnr` - Column number
    `fieldName` - The name of the field being converted

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD